Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232100 - sys-fs/udftools-1.0.0b-r7 - open with O_CREAT in second argument needs 3 arguments
Summary: sys-fs/udftools-1.0.0b-r7 - open with O_CREAT in second argument needs 3 argu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Daniel Drake (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2008-07-17 19:01 UTC by Magnus Granberg
Modified: 2009-02-17 21:59 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix for O_CREAT bug in udftools (udftools-open_missing_mode.patch,546 bytes, patch)
2008-07-17 19:03 UTC, Magnus Granberg
Details | Diff
Removed CREATE (udftools-open_missing_mode.patch,481 bytes, patch)
2008-10-30 01:20 UTC, Magnus Granberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Granberg gentoo-dev 2008-07-17 19:01:59 UTC
In function ‘open’,
inlined from ‘setup_dev’ at pktsetup.c:88,
inlined from ‘main’ at pktsetup.c:343:
/usr/include/bits/fcntl2.h:51: error: call to ‘__open_missing_mode’ declared with attribute error: open with O_CREAT in second argument needs 3 arguments
make[1]: *** [pktsetup.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/sys-fs/udftools-1.0.0b-r7/work/udftools-1.0.0b3/pktsetup'
make: *** [all-recursive] Error 1
*
* ERROR: sys-fs/udftools-1.0.0b-r7 failed.
Gcc 4.3.1 whit fortify_source=2
https://hardened.gentooexperimental.org/secure/ticket/29
Comment 1 Magnus Granberg gentoo-dev 2008-07-17 19:03:04 UTC
Created attachment 160658 [details, diff]
Fix for O_CREAT bug in udftools
Comment 2 Jeroen Roovers gentoo-dev 2008-07-17 20:56:02 UTC
Your work is greatly appreciated. However, could you please start each Summary with a full package atom?
Comment 3 Magnus Granberg gentoo-dev 2008-07-17 21:02:22 UTC
(In reply to comment #2)
> Your work is greatly appreciated. However, could you please start each Summary
> with a full package atom?
> 
okey

Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2008-10-02 11:48:29 UTC
Does it really need O_CREAT here? I mean, it's a dev file it's trying to open, right?
Comment 5 SpanKY gentoo-dev 2008-10-26 07:00:57 UTC
agreed ... but even if it werent a device file, opening something as O_RDONLY|O_CREAT doesnt make any sense

Magnus: could you update the patch accordingly please ?
Comment 6 Magnus Granberg gentoo-dev 2008-10-30 01:20:28 UTC
Created attachment 170280 [details, diff]
Removed CREATE

Something like that?
Comment 7 Mark Loeser (RETIRED) gentoo-dev 2008-11-23 19:51:40 UTC
This only seems to happen because of -DFORTIFY_SOURCE=2, so this shouldn't block our gcc-4.3 tracker.
Comment 8 Daniel Drake (RETIRED) gentoo-dev 2008-12-04 21:34:19 UTC
thanks, committed as 1.0.0b-r9